Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ant
Class AbstractCatalinaTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.catalina.ant.AbstractCatalinaTask

Direct Known Subclasses:
  DeployTask, InstallTask, JMXQueryTask, JMXSetTask, ListTask, ReloadTask, RemoveTask, ResourcesTask, RolesTask, ServerinfoTask, SessionsTask, StartTask, StopTask, UndeployTask

public abstract class AbstractCatalinaTask
extends org.apache.tools.ant.Task

Abstract base class for Ant tasks that interact with the Manager web application for dynamically deploying and undeploying applications. These tasks require Ant 1.4 or later.

Since:
  4.1
Version:
  $Revision: 1.3 $ $Date: 2004/02/27 14:58:40 $
Author:
  Craig R. McClanahan

Field Summary
`protected java.lang.String` | `password` The login password for the `Manager` application.
`protected java.lang.String` | `url` The URL of the `Manager` application to be used.
`protected java.lang.String` | `username` The login username for the `Manager` application.

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`AbstractCatalinaTask()`

Method Summary
`void` | `execute()` Execute the specified command.
`void` | `execute(java.lang.String command)` Execute the specified command, based on the configured properties.
`void` | `execute(java.lang.String command, java.io.InputStream istream, java.lang.String contentType, int contentLength)` Execute the specified command, based on the configured properties.
`java.lang.String` | `getPassword()`
`java.lang.String` | `getUrl()`
`java.lang.String` | `getUsername()`
`void` | `setPassword(java.lang.String password)`
`void` | `setUrl(java.lang.String url)`
`void` | `setUsername(java.lang.String username)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### password

    protected java.lang.String password

  The login password for the `Manager` application.

### url

    protected java.lang.String url

  The URL of the `Manager` application to be used.

### username

    protected java.lang.String username

  The login username for the `Manager` application.

Constructor Detail

### AbstractCatalinaTask

    public AbstractCatalinaTask()

Method Detail

### getPassword

    public java.lang.String getPassword()

### setPassword

    public void setPassword(java.lang.String password)

### getUrl

    public java.lang.String getUrl()

### setUrl

    public void setUrl(java.lang.String url)

### getUsername

    public java.lang.String getUsername()

### setUsername

    public void setUsername(java.lang.String username)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Execute the specified command. This logic only performs the common attribute validation required by all subclasses; it does not perform any functional logic directly.

  Throws:
    `org.apache.tools.ant.BuildException` - if a validation error occurs

### execute

    public void execute(java.lang.String command)
                 throws org.apache.tools.ant.BuildException

  Execute the specified command, based on the configured properties.

  Parameters:
    `command` - Command to be executed
  Throws:
    `org.apache.tools.ant.BuildException` - if an error occurs

### execute

    public void execute(java.lang.String command,
                        java.io.InputStream istream,
                        java.lang.String contentType,
                        int contentLength)
                 throws org.apache.tools.ant.BuildException

  Execute the specified command, based on the configured properties. The input stream will be closed upon completion of this task, whether it was executed successfully or not.

  Parameters:
    `command` - Command to be executed
    `istream` - InputStream to include in an HTTP PUT, if any
    `contentType` - Content type to specify for the input, if any
    `contentLength` - Content length to specify for the input, if any
  Throws:
    `org.apache.tools.ant.BuildException` - if an error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.